import type { IBarOptions, ICanvas, IDrawBarData, IEdges, IEventHandlers, IGeometry, IHoverData, IHoverOptions, IRowOptions } from '../types';
export interface IBarChartData {
    id: string;
    values: ReadonlyArray<number>;
    label?: string;
}
export declare type IBarData = IDrawBarData<IBarChartData>;
export interface IBarHoverData<T> extends IHoverData<T> {
    dataIndex: number;
}
export declare type BarChartClickHandler = (data: Readonly<IBarChartData>, dataIndex: number | undefined) => void;
export declare type BarChartHoverHandler = (value?: IBarHoverData<Readonly<IBarChartData>>) => void;
declare type EventHandlers = IEventHandlers<BarChartClickHandler, BarChartHoverHandler>;
export declare type IBarChartOptions = ICanvas & EventHandlers & IHoverOptions & Partial<IEdges> & IRowOptions & IBarOptions;
export declare type IOptions = IBarChartOptions & IGeometry;
export {};
